eXpansion 2.0.0.0-beta3 Whitebridge (09-06-2018)

The next generation of server controlling with clean and powerful user interface

Moderators: reaby, oliverde8, NADEO

User avatar
endbase
Posts: 449
Joined: 26 Jun 2011, 19:34

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by endbase » 19 May 2018, 05:23

If I want to addmx maps I get donwloading ingame and then in chat expansion_mx.chat.json or something like that any thoughts ?

ps the same error when I do maps view from menu on mania exhange

oliverde8
Posts: 1324
Joined: 16 Jun 2010, 07:33
Location: in a Blue Box

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by oliverde8 » 19 May 2018, 13:43

did you enable the php_com_dotnet & php_curl extension ?

I thought php_curl was enabled by default in wamp but it might not be the case.
Image
Developper for The next generation, Clean and Powerfull controller eXpansion for your SM & TM server . Working on eXpansion² with full MP4 support and many other awesome features...

User avatar
endbase
Posts: 449
Joined: 26 Jun 2011, 19:34

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by endbase » 19 May 2018, 16:28

yeah both enabled and I don't use xampp running windows server with php 7.2

User avatar
endbase
Posts: 449
Joined: 26 Jun 2011, 19:34

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by endbase » 20 May 2018, 07:49

To be more precise this happens when I search ingame form maps window

Image

oliverde8
Posts: 1324
Joined: 16 Jun 2010, 07:33
Location: in a Blue Box

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by oliverde8 » 20 May 2018, 08:58

The error makes it more clear, can you check that the extension php_openssl is enabled ?
extension=php_openssl.dll

It is strange you didn't have the issue with exp1 before, or other controllers :?
Image
Developper for The next generation, Clean and Powerfull controller eXpansion for your SM & TM server . Working on eXpansion² with full MP4 support and many other awesome features...

User avatar
endbase
Posts: 449
Joined: 26 Jun 2011, 19:34

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by endbase » 20 May 2018, 09:03

oliverde8 wrote:
20 May 2018, 08:58
The error makes it more clear, can you check that the extension php_openssl is enabled ?
extension=php_openssl.dll

It is strange you didn't have the issue with exp1 before, or other controllers :?
Yes openssl.dll is enabled allready

reaby
Posts: 936
Joined: 29 Dec 2010, 23:26
Location: Eastern Finland
Contact:

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by reaby » 20 May 2018, 17:46

This usually happens on windows servers, where php can't find local issuer, as the error message nicely says :thumbsup:
Let me search the answer for you:
https://duckduckgo.com/?q=php+ssl+local+issuer&ia=qa

User avatar
endbase
Posts: 449
Joined: 26 Jun 2011, 19:34

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by endbase » 20 May 2018, 18:47

Oke that ain't working for me it says no Alpha key found matching :NED

This is getting way to complicated for adding maps hehe :P

No worries I have admin serv running so I can add maps trough that if I want :thumbsup:

oliverde8
Posts: 1324
Joined: 16 Jun 2010, 07:33
Location: in a Blue Box

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by oliverde8 » 20 May 2018, 23:47

Not sure why you have an issue with curl by default works for me with ssl. I try and investigate what they say on the internet about it.

What I see is that other controllers in php do is not to verify the certificate but that's a bad practice. I would rather have installation harder then to concede possible security issues. So I will think about it. But the answers in StackOverflow seems to be the proper solution.

The Ned alpha is fixed error i, I thought Maniaplanet used standard iso codes for country codes, but of course, they don't. I need to release it. Basically, it happens if the server is hosted in a country whose MP country code isn't the standard iso alpha3 code.

Are you using master branch? Switch to 2.0.0.x it has the fix in it. You having that error means that now it connects properly to the analytics server so the curl issue should be fixed.
Image
Developper for The next generation, Clean and Powerfull controller eXpansion for your SM & TM server . Working on eXpansion² with full MP4 support and many other awesome features...

User avatar
endbase
Posts: 449
Joined: 26 Jun 2011, 19:34

Re: eXpansion 2.0.0.0-beta2 Whitebridge (10-05-2018)

Post by endbase » 21 May 2018, 04:40

Hi

I have downloaded the 2.x branch and the problem remains the only thing that changed that it says now dev instead of vdev and still the certificate error :pop:

ps I'm in no hurry I had to install an old PSU in the server and that one makes a lot of noice ordered a new one it will arrive on wednesday so :D

Update did the certificate solution again from the earlier link you have posted and now it works thx alot man :thumbsup:

Post Reply

Return to “eXpansion”

Who is online

Users browsing this forum: No registered users and 2 guests